Description

Hi,

I get the following error when trying to upgrade QGIS on Ubuntu based on the instructions given here. 

https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

sudo apt-get install qgis python-qgis qgis-plugin-grass

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 python-qgis : Depends: python-qgis-common (= 1:2.10.0+12wheezy) but it is not going to be installed

               Depends: libqgispython2.10.0 but it is not going to be installed

               Depends: libgdal1 (>= 1.8.0) but it is not installable

               Depends: libqgis-analysis2.10.0 but it is not going to be installed

               Depends: libqgis-core2.10.0 but it is not going to be installed

               Depends: libqgis-gui2.10.0 but it is not going to be installed

               Depends: libqgis-networkanalysis2.10.0 but it is not going to be installed

               Depends: libqgis-server2.10.0 but it is not going to be installed

               Depends: libqscintilla2-8 but it is not installable

               Depends: libspatialindex1 but it is not installable

               Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable

               Depends: sip-api-8.1 but it is not installable

 qgis : Depends: libgdal1 (>= 1.8.0) but it is not installable

        Depends: libqgis-analysis2.10.0 but it is not going to be installed

        Depends: libqgis-core2.10.0 but it is not going to be installed

        Depends: libqgis-gui2.10.0 but it is not going to be installed

        Depends: libqgis-networkanalysis2.10.0 but it is not going to be installed

        Depends: libqscintilla2-8 but it is not installable

        Depends: libspatialindex1 but it is not installable

        Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable
        Depends: qgis-providers (= 1:2.10.0+12wheezy) but it is not going to be installed

        Recommends: qgis-plugin-globe but it is not going to be installed

 qgis-plugin-grass : Depends: libgdal1 (>= 1.8.0) but it is not installable

                     Depends: libqgis-core2.10.0 but it is not going to be installed

                     Depends: libqgis-gui2.10.0 but it is not going to be installed

                     Depends: libqgisgrass2.10.0 but it is not going to be installed

                     Depends: libqscintilla2-8 but it is not installable

                     Depends: libspatialindex1 but it is not installable

                     Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable

E: Unable to correct problems, you have held broken packages.

Prior to this, apt-get update generated the following error:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release  Unable to find expected entry

'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu/dists/wheezy/main/binary-amd64/Packages  404  Not

Found

W: Failed to fetch http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu/dists/wheezy/main/binary-i386/Packages  404  Not

Found

W: Failed to fetch http://ppa.launchpad.net/neon/ppa/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/neon/ppa/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

How should I proceed from here? Thank you!

History

#1 - 2016-03-25 05:00 PM - Maximilian Krambach

It doesn't look like a bug. 

It seems that either your /etc/apt/sources.list and/or  files in /etc/apt/sources.list.d/ are out of date or mixed up Debian and Ubuntu somehow. (I guess this

from "Wheezy", it is an branch of debian, not ubuntu. So ubuntugis has no packages for it.)

The other packages fail related to a unclean sources lists. (e.g 14.04 stable GDAL is too old for QGIS 2.10). Changing 

ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu "wheezy" to "trusty" in  [wherever ppas are; probably in /etc/apt/sources.list.d/ubuntugis] and then

running apt-get update again should do the trick.

#2 - 2016-03-26 02:02 AM - Jürgen Fischer

- Status changed from Open to Feedback

#3 - 2016-03-26 07:56 AM - sati bodhi

Below is the content of my amended sources.list:

deb http://archive.ubuntu.com/ubuntu trusty main universe restricted multiverse

deb http://security.ubuntu.com/ubuntu/ trusty-security multiverse universe main restricted

deb http://archive.ubuntu.com/ubuntu trusty-updates multiverse universe main restricted

deb http://archive.ubuntu.com/ubuntu trusty-proposed multiverse universe main restricted

deb http://archive.ubuntu.com/ubuntu trusty-backports multiverse universe main restricted
deb http://qgis.org/debian wheezy main

deb-src http://qgis.org/debian wheezy main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu trusty main

Update still turns up with the following error:

W: GPG error: http://ppa.launchpad.net trusty InRelease: The following signatures couldn't be verified because the public key is not available:

NO_PUBKEY 089EBE08314DF160

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release  Unable to find expected entry 'main/binary-i386/Packages' in Release file

(Wrong sources.list entry or malformed file)

W: Failed to fetch http://ppa.launchpad.net/neon/ppa/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found

W: Failed to fetch http://ppa.launchpad.net/neon/ppa/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

And I am left with the same problem:

sudo apt-get install qgis python-qgis qgis-plugin-grass

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 python-qgis : Depends: python-qgis-common (= 1:2.10.0+12wheezy) but it is not going to be installed

               Depends: libqgispython2.10.0 but it is not going to be installed

               Depends: libgdal1 (>= 1.8.0) but it is not installable

               Depends: libqgis-analysis2.10.0 but it is not going to be installed

               Depends: libqgis-core2.10.0 but it is not going to be installed

               Depends: libqgis-gui2.10.0 but it is not going to be installed

               Depends: libqgis-networkanalysis2.10.0 but it is not going to be installed

               Depends: libqgis-server2.10.0 but it is not going to be installed

               Depends: libqscintilla2-8 but it is not installable

               Depends: libspatialindex1 but it is not installable

               Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable

               Depends: sip-api-8.1 but it is not installable

 qgis : Depends: libgdal1 (>= 1.8.0) but it is not installable

        Depends: libqgis-analysis2.10.0 but it is not going to be installed

        Depends: libqgis-core2.10.0 but it is not going to be installed

        Depends: libqgis-gui2.10.0 but it is not going to be installed

        Depends: libqgis-networkanalysis2.10.0 but it is not going to be installed

        Depends: libqscintilla2-8 but it is not installable

        Depends: libspatialindex1 but it is not installable

        Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable

        Depends: qgis-providers (= 1:2.10.0+12wheezy) but it is not going to be installed

        Recommends: qgis-plugin-globe but it is not going to be installed
 qgis-plugin-grass : Depends: libgdal1 (>= 1.8.0) but it is not installable

                     Depends: libqgis-core2.10.0 but it is not going to be installed

                     Depends: libqgis-gui2.10.0 but it is not going to be installed

                     Depends: libqgisgrass2.10.0 but it is not going to be installed

                     Depends: libqscintilla2-8 but it is not installable

                     Depends: libspatialindex1 but it is not installable

                     Depends: libspatialite3 (>= 2.4.0~rc2) but it is not installable

E: Unable to correct problems, you have held broken packages.

#4 - 2016-03-26 02:42 PM - Jürgen Fischer

sati bodhi wrote:

Below is the content of my amended sources.list: 

deb http://qgis.org/debian wheezy main

Still wheezy.  That's wrong.   On ubuntu either use the ubuntugis ppa and http://qgis.org/ubuntugis YOURUBUNTUDIST main (ubuntu qgis packages built

with ubuntugis dependencies) or remove the ubuntugis ppa and use http://qgis.org/debian YOURUBUNTUDIST main (plain builds with dependencies

from).

So either: 

deb http://qgis.org/debian trusty main

Or:

deb http://qgis.org/ubuntugis trusty main

deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu trusty main

#5 - 2016-03-27 09:29 AM - sati bodhi

It works now, thanks!

#6 - 2016-03-27 10:42 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Feedback to Closed
